uniform sampler2D uTexNoise;
uniform vec4 uInnerColor;
uniform vec4 uOuterColor;
uniform float uNoise;
void main()
{
	float dist = length(gl_TexCoord[0].xy - vec2(0.5));
	float ns = texture2D(uTexNoise, gl_TexCoord[0].st).r;
	gl_FragColor = mix(uInnerColor, uOuterColor, dist + ns*uNoise);
}
